##### GENERAL STUFF #####

Summary:	Command line utilities to access digital cameras
Name:		gphoto2
Version:	2.1.1
Release:	1
License:	LGPL
Group:		Applications/Multimedia


##### SOURCE FILES #####

Source: http://sourceforge.net/projects/gphoto/gphoto2-%{version}.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Url: http://sourceforge.net/projects/gphoto/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: 	libusb >= 0.1.6 libgphoto2 libexif
PreReq: hotplug >= 2001_04_24-7
PreReq: /sbin/ldconfig, grep, fileutils
BuildRequires:	glib-devel libusb-devel >= 0.1.6 zlib-devel findutils perl
BuildRequires:	libgphoto2-devel libexif-devel

##### SUB-PACKAGES #####

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the command-line utility gphoto2.

##### PREP #####

%prep
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}
%setup -q -n %{name}-%{version}

##### BUILD #####

%build

%configure --with-docs-dir=%{buildroot}%{_docdir}/%{name} --with-doc-formats="man html"

make

##### INSTALL #####

%install
rm -rf ${RPM_BUILD_ROOT}

# Let all documentation go into /usr/share/doc/gphoto2-%{version}/
mkdir -p %{buildroot}/usr/share/doc/gphoto2-%{version}/
ln -s %{buildroot}/usr/share/doc/gphoto2-%{version}/ %{buildroot}/usr/share/doc/gphoto2

%makeinstall

# Remove the link, we don't need it any more.
rm -f %{buildroot}/usr/share/doc/gphoto2

%find_lang %{name}

# Install documentation
cp ABOUT-NLS README COPYING ChangeLog %{buildroot}/usr/share/doc/gphoto2-%{version}/


##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### gphoto2
%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%docdir %{_docdir}/gphoto2-%{version}
%{_docdir}/gphoto2-%{version}
%{_mandir}/man1/*

##### CHANGELOG #####

%changelog

* Tue Feb 18 2003 Gerald Teschl <gt@esi.ac.at>
- rpm based on spec from mandrake
